Bug 1691839 - [OSP15][Deployment] Volumes remain in the attached state even when the instance is already deleted
Summary: [OSP15][Deployment] Volumes remain in the attached state even when the instan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Rajesh Tailor
QA Contact: Archit Modi
URL:
Whiteboard:
Depends On:
Blocks: 1691840 1691842 1691844
TreeView+ depends on / blocked
 
Reported: 2019-03-22 16:09 UTC by Martin Schuppert
Modified: 2019-09-26 10:48 UTC (History)
15 users (show)

Fixed In Version: puppet-nova-14.4.1-0.20190529171754.f30766c.el8ost puppet-tripleo-10.4.2-0.20190531190405.7559e63.el8ost openstack-tripleo-heat-templates-10.5.1-0.20190603084723.152e465.el8ost
Doc Type: Bug Fix
Doc Text:
In earlier releases of Red Hat OpenStack Platform, when these conditions were true: - The option, reclaim_instance_interval, was greater than zero. - The option, delete_on_termination, was set to true. - The instance which is booted from the volume was deleted. Then, after the "reclaim_instance_interval" passed, the volume on which the instance was booted, incorrectly displayed a status of "attached" and "in-use". In RHOSP 15, the workaround is to do the following: 1. In the Compute service configuration file, nova.conf, add a user/project configuration to the group, cinder. 2. When the context is is_admin, connect to the Block Storage service (cinder) API, authenticating with nova.conf and without using a token.
Clone Of: 1691324
: 1691840 1691842 1691844 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:20:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 660329 0 None MERGED Add cinder credentials in nova conf 2020-11-23 08:00:36 UTC
OpenStack gerrit 660334 0 None MERGED Add cinder credentials to nova conf 2020-11-23 08:00:36 UTC
OpenStack gerrit 660335 0 None MERGED Add nova::cinder to nova compute 2020-11-23 08:00:35 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:27 UTC

Comment 14 errata-xmlrpc 2019-09-21 11:20:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.